> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark all notifications read



## OpenAPI

````yaml post /v1/notifications/mark-all-read
openapi: 3.0.0
info:
  title: Notification APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com
  - url: https://staging.api.us.aptlydone.com/notification
  - url: https://api.us.aptlydone.com
  - url: https://api.us.aptlydone.com/notification
security: []
tags: []
paths:
  /v1/notifications/mark-all-read:
    post:
      tags:
        - notifications
      summary: Mark all notifications read
      operationId: NotificationController_markAllAsRead_v1
      parameters: []
      responses:
        '201':
          description: All notifications marked as read successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/NotificationMarkAllReadResponseDtoResponse
      security:
        - accessToken: []
components:
  schemas:
    NotificationMarkAllReadResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-12T09:08:08.140Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/NotificationMarkAllReadResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    NotificationMarkAllReadResponseDto:
      type: object
      properties:
        count:
          type: number
          description: The count of notifications marked as read
          example: 5
      required:
        - count
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````